package com.yinlihupo.enlish.service.service;

import com.yinlihupo.enlish.service.domain.dataobject.ExamWordsJudgeResultDO;

import java.util.Arrays;
import java.util.List;

public interface ExamWordsJudgeService {

    void judgeExamWords(int count);

    List<ExamWordsJudgeResultDO> getExamWordsJudgeResult(Integer page, Integer pageSize, Integer classId, Integer gradeId, String studentName);

    Integer getExamWordsJudgeResultCount();

    Integer getExamUnfinishedCount();

    ExamWordsJudgeResultDO getExamWordsJudgeResultDOById(Integer id);

    List<ExamWordsJudgeResultDO> getStudentExamWordsResultList(Integer studentId);
}
